MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029137Open CASCADE[OCCT] OCCT:Visualizationpublic2017-09-25 15:092018-06-29 21:19
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029137: Visualization - D3DHost_FrameBuffer does not release Depth texture and FBO index
DescriptionD3DHost_FrameBuffer does not set myIsOwnBuffer and myIsOwnDepth variables leading to OpenGL resource leak and debug assertion on destruction.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0029138closedbugmaster Open CASCADE Visualization - D3DHost_FrameBuffer should provide software fallback when WGL_NV_DX_interop is unavailable 

-  Notes
(0070822)
git (administrator)
2017-09-25 15:21

Branch CR29137 has been created by kgv.

SHA-1: 6c8fd103f19e54c61cfbeffe1ac99b7c671e1743


Detailed log of new commits:

Author: kgv
Date: Mon Sep 25 15:21:11 2017 +0300

    0029137: Visualization - D3DHost_FrameBuffer does not release Depth texture and FBO index
(0070840)
git (administrator)
2017-09-26 09:22

Branch CR29137 has been updated forcibly by kgv.

SHA-1: 66b87d51319be1ad69bb7452f61eb40c63761a6b
(0070853)
kgv (developer)
2017-09-26 12:19

Patch is ready for review (tested in scope of 0029138).
(0071124)
san (developer)
2017-10-02 19:57

Branch CR29137 reviewed without remarks, ready for testing.
(0071140)
bugmaster (administrator)
2017-10-03 09:57

Tested in scope of 0029138
(0071461)
git (administrator)
2017-10-14 12:19

Branch CR29137 has been deleted by kgv.

SHA-1: 66b87d51319be1ad69bb7452f61eb40c63761a6b

- Related Changesets
occt: master c98fcb64
Timestamp: 2017-09-25 12:21:11
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029137: Visualization - D3DHost_FrameBuffer does not release Depth texture and FBO index
mod - src/D3DHost/D3DHost_FrameBuffer.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-25 15:09 kgv New Issue
2017-09-25 15:09 kgv Assigned To => kgv
2017-09-25 15:21 git Note Added: 0070822
2017-09-25 15:25 kgv Relationship added related to 0029138
2017-09-26 08:43 kgv Relationship added related to 0027147
2017-09-26 09:22 git Note Added: 0070840
2017-09-26 12:19 kgv Note Added: 0070853
2017-09-26 12:19 kgv Assigned To kgv => san
2017-09-26 12:19 kgv Status new => resolved
2017-10-02 19:57 san Note Added: 0071124
2017-10-02 19:57 san Assigned To san => bugmaster
2017-10-02 19:57 san Status resolved => reviewed
2017-10-03 09:57 bugmaster Note Added: 0071140
2017-10-03 09:57 bugmaster Status reviewed => tested
2017-10-03 18:28 bugmaster Test case number => Not required
2017-10-06 14:55 bugmaster Changeset attached => occt master c98fcb64
2017-10-06 14:55 bugmaster Status tested => verified
2017-10-06 14:55 bugmaster Resolution open => fixed
2017-10-14 12:19 git Note Added: 0071461
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker